#pragma once

#include "wimp_basics.h"
#include "wimp_messages.h"
#include "wimp_icons.h"

#ifdef __cplusplus
extern "C"
{
#endif

  /*! Initialises the WIMP
  \param ccaTaskName The task's name
  \return The WIMP version number
  */
  int wimp_init(const char* ccaTaskName);

  /*! Exits the WIMP */
  void wimp_exit(void);

  /*! Gets the 3D status
  \return non-zero if we need to use 3D icons
  */
  int wimp_3dstatus(void);

#ifdef __cplusplus
}
#endif

